<?php

require_once './config.php';
require_once '../func.php';


$size = 256;
$name = "";
$mgnf = 1.0;
$seal = GEO_SEA_LEVEL;
$rate = GEO_MAP_XYRATE;


if (isset($_GET["size"])) {
	$size = $_GET["size"];
}
if (isset($_GET["name"])) {
	$name = $_GET["name"];
}
if (isset($_GET["mag"])) {
	$mgnf = $_GET["mag"];
}
if (isset($_GET["sea"])) {
	$seal = $_GET["sea"];
}
if (isset($_GET["rate"])) {
	$rate = $_GET["rate"];
}


if (!ctype_alnum($name)) error_proc("file name. no alnum.");
if (!ctype_digit($size)) error_proc("size.");
if (!ctype_digit($seal)) error_proc("sea level.");
if (!is_numeric ($mgnf)) error_proc("magnification.");
if (!is_numeric ($rate)) error_proc("X Y rate.");
if ($size<=0)   $size = 256;
if ($mgnf<=0.0) $mgnf = 1.0;
if ($rate<=0.0) $rate = GEO_MAP_XYRATE;

$len = strlen($name);
if (!preg_match('/^[a-z][0-9][0-9][0-9]$/', $name)) error_proc("file name. incorrect name.");


$m[] = $name;
//$m = make_mapname_50m($name);
//if (!isset($m)) error_proc("make_mapname.");

$d = read_geo_data($m, $size, $rate);
print_geo_data($d, $size, $seal, $mgnf, $rate);


?>
