<?php

require_once './config.php';
require_once '../func.php';


$size = 256;
$name = "";
$mgnf = 1.0;
$seal = GEO_SEA_LEVEL;
$rate = GEO_MAP_XYRATE;


if (isset($_GET["size"])) {
	$size = $_GET["size"];
}
if (isset($_GET["name"])) {
	$name = $_GET["name"];
}
if (isset($_GET["mag"])) {
	$mgnf = $_GET["mag"];
}
if (isset($_GET["sea"])) {
	$seal = $_GET["sea"];
}
if (isset($_GET["rate"])) {
	$rate = $_GET["rate"];
}

$deg = split("x", $name);
$lat = $deg[0];
$lng = $deg[1];


if (!ctype_digit($size)) error_proc("size.");
if (!ctype_digit($seal)) error_proc("sea level.");
if (!is_numeric ($mgnf)) error_proc("magnification.");
if (!is_numeric ($rate)) error_proc("X Y rate.");
//if (!ctype_digit($name)) error_proc("file name. no alnum.");
if (!is_numeric ($lat))  error_proc("latitude.");
if (!is_numeric ($lng))  error_proc("longitude.");
if ($size<=0)   $size = 256;
if ($mgnf<=0.0) $mgnf = 1.0;
if ($rate<=0.0) $rate = GEO_MAP_XYRATE;

//$len = strlen($name);
//$name = substr($name, $len-6, 6);
//if (!preg_match('/^[1-9][0-9][1-9][0-9][0-7][0-7]$/', $name)) error_proc("file name. incorrect name.");

//$m = make_mapname_50m($name);
//if (!isset($m)) error_proc("make_mapname.");
//$d = read_geo_data($m, $size, $rate);

exec("./read_srtm -n ".$lat." -e ".$lng." -r ".$rate." -o ".GEO_SEA_DEEP, $m);

$d = data_to_array2($m, $size, $rate);

print_geo_data($d, $size, $seal, $mgnf, $rate);

?>
