<?php


function  inc_char($char)
{
	$char++;
	if ($char=='10') $char = '0';
	return $char;
}



function  dec_char($char)
{
	$char--;
	if ($char=='-1') $char = '9';
	return $char;
}



//
// 5måܥե̾롥
//
function  make_mapname_5m($stmap)
{
	if (!isset($stmap)) return;

	$len = strlen($stmap);
	if ($len!=5 && $len!=7) return;

	$stmap = strtolower($stmap);
	if (!preg_match('/^[a-z][a-z][0-9][0-9][1-4]$/', substr($stmap, $len-5, 5))) return;
	$mapnum = $stmap[$len-1];


	for ($i=0; $i<4; $i++) $mapname[$i] = $stmap;

	switch($mapnum) {
	  case '1' :
		$mapname[1][$len-1] = '2';
		$mapname[2][$len-1] = '3';
		$mapname[3][$len-1] = '4';
		break;

	  case '2' :
		$mapname[1][$len-1] = '1';
		$mapname[2][$len-1] = '4';
		$mapname[3][$len-1] = '3';

		$mapname[1][$len-2] = inc_char($mapname[1][$len-2]);
		if ($mapname[1][$len-2]=='0') {
			$mapname[1][$len-4] = inc_char($mapname[1][$len-4]);
		}
		$mapname[3][$len-2] = inc_char($mapname[3][$len-2]);
		if ($mapname[3][$len-2]=='0') {
			$mapname[3][$len-4] = inc_char($mapname[3][$len-4]);
		}
		break;

	  case '3' :
		$mapname[1][$len-1] = '4';
		$mapname[2][$len-1] = '1';
		$mapname[3][$len-1] = '2';

		$mapname[2][$len-3] = inc_char($mapname[2][$len-3]);
		if ($mapname[2][$len-3]=='0') {
			$mapname[2][$len-5] = inc_char($mapname[2][$len-5]);
		}
		$mapname[3][$len-3] = inc_char($mapname[3][$len-3]);
		if ($mapname[3][$len-3]=='0') {
			$mapname[3][$len-5] = inc_char($mapname[3][$len-5]);
		}
		break;

	  case '4' :
		$mapname[1][$len-1] = '3';
		$mapname[2][$len-1] = '2';
		$mapname[3][$len-1] = '1';

		$mapname[1][$len-2] = inc_char($mapname[1][$len-2]);
		if ($mapname[1][$len-2]=='0') {
			$mapname[1][$len-4] = inc_char($mapname[1][$len-4]);
		}
		$mapname[2][$len-3] = inc_char($mapname[2][$len-3]);
		if ($mapname[2][$len-3]=='0') {
			$mapname[2][$len-5] = inc_char($mapname[2][$len-5]);
		}
		$mapname[3][$len-2] = inc_char($mapname[3][$len-2]);
		if ($mapname[3][$len-2]=='0') {
			$mapname[3][$len-4] = inc_char($mapname[3][$len-4]);
		}
		$mapname[3][$len-3] = inc_char($mapname[3][$len-3]);
		if ($mapname[3][$len-3]=='0') {
			$mapname[3][$len-5] = inc_char($mapname[3][$len-5]);
		}
		break;
	}

	return $mapname;
}



//
// 50måܥե̾롥
//
function  make_mapname_50m($stmap)
{
	if (!isset($stmap)) return;

	$len = strlen($stmap);
	$stmap = substr($stmap, $len-6, 6);
	if (!preg_match('/^[1-9][0-9][1-9][0-9][0-7][0-7]$/', $stmap)) return;


	for ($i=0; $i<4; $i++) $mapname[$i] = $stmap;

	$mapname[1][5] = inc_char($mapname[1][5]);
	$mapname[2][4] = dec_char($mapname[2][4]);
	$mapname[3][5] = inc_char($mapname[3][5]);
	$mapname[3][4] = dec_char($mapname[3][4]);
 
	if ($mapname[1][5]=='8') {
		$mapname[1][5] = '0';
		$num = substr($mapname[1], 2, 2);
		$num = $num + 1;
		$mapname[1] = substr($mapname[1], 0, 2).$num.substr($mapname[1], 4, 2);
	}
	if ($mapname[2][4]=='9') {
		$mapname[2][4] = '7';
		$num = substr($mapname[2], 0, 2);
		$num = $num - 1;
		$mapname[2] = $num.substr($mapname[2], 2, 4);
	}
	if ($mapname[3][5]=='8') {
		$mapname[3][5] = '0';
		$num = substr($mapname[3], 2, 2);
		$num = $num + 1;
		$mapname[3] = substr($mapname[3], 0, 2).$num.substr($mapname[3], 4, 2);
	}
	if ($mapname[3][4]=='9') {
		$mapname[3][4] = '7';
		$num = substr($mapname[3], 0, 2);
		$num = $num - 1;
		$mapname[3] = $num.substr($mapname[3], 2, 4);
	}

	for ($i=0; $i<4; $i++) $mapname[$i] = substr($mapname[$i], 0, 4)."/".$mapname[$i];

	return $mapname;
}



//
// ǡɤ߹
//
function read_geo_data($mapname, $wsize, $rate)
{
	global $mapdata;

	if ($wsize<0) $wsize = 256;
	$hsize = (int)($wsize*$rate) + 1;

	read_geo_file($mapname, 0, $wsize, $hsize);
	if ($wsize>GEO_MAP_WIDTH) {
		read_geo_file($mapname, 1, $wsize, $hsize);
	}
	if ($hsize>GEO_MAP_HEIGHT) {
		read_geo_file($mapname, 2, $wsize, $hsize);
	}
	if ($wsize>GEO_MAP_WIDTH and $hsize>GEO_MAP_HEIGHT) {
		read_geo_file($mapname, 3, $wsize, $hsize);
	}

	return $mapdata;
}



//
// եɤ߹
//
function  read_geo_file($mapname, $k, $wsize, $hsize)
{
	global $mapdata;

	$filename = GEO_DATA_PATH."/".$mapname[$k].".".GEO_DATA_EXT;

	if (is_readable($filename)) {
		$data = file($filename);
		$j = 0;
		foreach ($data as $line) {
			if ($j>=GEO_HEAD_LINE) {		// إåɤФ
				$height = GEO_MAP_HEIGHT*((int)($k/2)) + $j - GEO_HEAD_LINE;
				if ($height>=$hsize) break;

				for ($i=0; $i<GEO_MAP_WIDTH; $i++) {
					$width = GEO_MAP_WIDTH*($k%2) + $i;
					if ($width>=$wsize) break;
					$mapdata[$height][$width] = substr($line, $i*GEO_DATA_LEN+GEO_DATA_HEAD, GEO_DATA_LEN);
				}
			}
			$j++;
		}
	}
	else {
		// ɤ߹߼
		for ($j=0; $j<GEO_MAP_HEIGHT; $j++) {
			$height = GEO_MAP_HEIGHT*((int)($k/2)) + $j;
			if ($height>=$hsize) break;

			for ($i=0; $i<GEO_MAP_WIDTH; $i++) {
				$width = GEO_MAP_WIDTH*($k%2) + $i;
				if ($width>=$wsize) break;
				$mapdata[$height][$width] = GEO_NOMAP_DATA*GEO_MAP_FAC;
			}
		}
	}
}



function  error_proc($mesg)
{
	exit("ERROR: ".$mesg);
}



function  print_geo_data($d, $wsize, $seal, $mgnf, $rate)
{
	$mgnf = $mgnf*GEO_DATA_MAG;
	$hsize = (int)($wsize*$rate) + 1;

	for ($j=0; $j<$hsize; $j++) {
    	for ($i=0; $i<$wsize; $i++) {
			$h = $d[$j][$i];
			if ($h==GEO_SEAMAP_DATA) $h = GEO_SEA_DEEP*$mgnf + $seal;	//  GEO_SEA_DEEP Ѱ
			else $h = $h/GEO_MAP_FAC*$mgnf + $seal;

        	print(" ".$h);
    	}         
    	print "\n";
	}
}




function  data_to_array2($data, $wsize, $rate)
{
	if ($wsize<0) $wsize = 256;
	$hsize = (int)($wsize*$rate) + 1;

	if (is_string($data)) $array_data = split("\n", $data);
	else if (is_array($data)) $array_data = $data;
	else {
		return null;
	}

	$j = 0;
	foreach ($array_data as $line) {
		if ($j>=GEO_HEAD_LINE) {		// إåɤФ
			$height = $j - GEO_HEAD_LINE;
			if ($height>=$hsize) break;

			for ($i=0; $i<$wsize; $i++) {
				$map[$height][$i] = substr($line, $i*GEO_DATA_LEN+GEO_DATA_HEAD, GEO_DATA_LEN);
			}
		}
		$j++;
	}
	return $map;
}

?>
